emulators/fuse-emulator - The NetBSD Packages Collection

ZX Spectrum Emulator

Fuse is the Free Unix Spectrum Emulator.
* Working 48K/128K/+2/+2A Speccy emulation, running at true Speccy speed on any
  computer you're likely to try it on.
* Support for loading from .tzx files.
* Sound (on system supporting the Open Sound System or BSD/Solaris).
* Kempston joystick emulation.
* Emulation of the various printers you could attach to the Spectrum.
* Very basic support for RZX files.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools lang/perl5 devel/pkgconf

Runtime dependencies

x11/gtk3 graphics/png emulators/libspectrum textproc/libxml2 x11/gtk3 graphics/png emulators/libspectrum textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hffuse-emulator-1.5.7nb8.tgz
NetBSD 8.0earmv7hffuse-emulator-1.6.0.tgz
NetBSD 8.0i386fuse-emulator-1.5.7nb7.tgz
NetBSD 8.0i386fuse-emulator-1.5.7nb8.tgz
NetBSD 8.0i386fuse-emulator-1.6.0.tgz
NetBSD 8.0powerpcfuse-emulator-1.5.7nb7.tgz
NetBSD 8.0powerpcfuse-emulator-1.6.0.tgz
NetBSD 8.0powerpcfuse-emulator-1.5.7nb8.tgz
NetBSD 8.0powerpcfuse-emulator-1.6.0.tgz
NetBSD 8.0x86_64fuse-emulator-1.6.0.tgz
NetBSD 8.0x86_64fuse-emulator-1.5.7nb7.tgz
NetBSD 8.0x86_64fuse-emulator-1.5.7nb8.tgz
NetBSD 9.0aarch64fuse-emulator-1.6.0.tgz
NetBSD 9.0aarch64fuse-emulator-1.5.7nb7.tgz
NetBSD 9.0aarch64fuse-emulator-1.5.7nb8.tgz
NetBSD 9.0alphafuse-emulator-1.6.0.tgz
NetBSD 9.0alphafuse-emulator-1.5.7nb7.tgz
NetBSD 9.0alphafuse-emulator-1.5.7nb8.tgz
NetBSD 9.0earmv6hffuse-emulator-1.6.0.tgz
NetBSD 9.0earmv6hffuse-emulator-1.5.7nb7.tgz
NetBSD 9.0earmv6hffuse-emulator-1.5.7nb8.tgz
NetBSD 9.0earmv6hffuse-emulator-1.5.7nb8.tgz
NetBSD 9.0earmv7hffuse-emulator-1.6.0.tgz
NetBSD 9.0earmv7hffuse-emulator-1.5.7nb7.tgz
NetBSD 9.0earmv7hffuse-emulator-1.5.7nb8.tgz
NetBSD 9.0earmv7hffuse-emulator-1.5.7nb8.tgz
NetBSD 9.0earmv7hffuse-emulator-1.6.0.tgz
NetBSD 9.0i386fuse-emulator-1.5.7nb7.tgz
NetBSD 9.0i386fuse-emulator-1.5.7nb8.tgz
NetBSD 9.0i386fuse-emulator-1.6.0.tgz
NetBSD 9.0mips64ebfuse-emulator-1.6.0.tgz
NetBSD 9.0mips64ebfuse-emulator-1.5.7nb7.tgz
NetBSD 9.0mips64ebfuse-emulator-1.5.7nb8.tgz
NetBSD 9.0powerpcfuse-emulator-1.5.7nb8.tgz
NetBSD 9.0powerpcfuse-emulator-1.5.7nb7.tgz
NetBSD 9.0powerpcfuse-emulator-1.6.0.tgz
NetBSD 9.0powerpcfuse-emulator-1.6.0.tgz
NetBSD 9.0sparc64fuse-emulator-1.6.0.tgz
NetBSD 9.0sparc64fuse-emulator-1.5.7nb7.tgz
NetBSD 9.0sparc64fuse-emulator-1.5.7nb8.tgz
NetBSD 9.0sparcfuse-emulator-1.6.0.tgz
NetBSD 9.0sparcfuse-emulator-1.5.7nb8.tgz
NetBSD 9.0x86_64fuse-emulator-1.5.7nb8.tgz
NetBSD 9.0x86_64fuse-emulator-1.5.7nb8.tgz
NetBSD 9.0x86_64fuse-emulator-1.5.7nb8.tgz
NetBSD 9.0x86_64fuse-emulator-1.6.0.tgz
NetBSD 9.0x86_64fuse-emulator-1.5.7nb7.tgz
NetBSD 9.0x86_64fuse-emulator-1.5.7nb8.tgz
NetBSD 9.0x86_64fuse-emulator-1.6.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gtk
Enable support for GTK.
sdl
Use SDL as the audio/display library.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.